SDL_exp(3)

NAME
SDL_exp - Compute the exponential of x .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

double SDL_exp(double x);

DESCRIPTION
The definition of y=exp(x) is y=e^x , where e is the base of the natural logarithm. The inverse is the natural logarithm, SDL_log . Domain: -INF<=x<=INF Range: 0<=y<=INF The output will overflow if exp(x) is too large to be represented. This function operates on double-precision floating point values, use SDL_expf
 for single-precision floats. This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value

RETURN VALUE
Returns value of e^x

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_expf(3), SDL_log(3)